"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.attachHeadlessCmsImportExportGraphQL = void 0;
var _apiHeadlessCms = require("@webiny/api-headless-cms");
var _typeDefs = require("./typeDefs");
var _resolvers = require("./resolvers");
var _models = require("./models");
const attachHeadlessCmsImportExportGraphQL = async context => {
  const models = await (0, _models.listModels)(context);
  if (models.length === 0) {
    return;
  }
  const plugin = new _apiHeadlessCms.CmsGraphQLSchemaPlugin({
    typeDefs: (0, _typeDefs.createTypeDefs)(models),
    resolvers: (0, _resolvers.createResolvers)(models)
  });
  plugin.name = "headlessCms.graphql.importExport";
  context.plugins.register(plugin);
};
exports.attachHeadlessCmsImportExportGraphQL = attachHeadlessCmsImportExportGraphQL;

//# sourceMappingURL=index.js.map